Bug 116995 - tomcat hangs when started through cluster service script
tomcat hangs when started through cluster service script
Product: Red Hat Application Server Public Beta
Classification: Retired
Component: tomcat (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
Depends On:
  Show dependency treegraph
Reported: 2004-02-27 01:36 EST by Ermin Borovac
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-07 12:44:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ermin Borovac 2004-02-27 01:36:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
We have a cluster of two RHEL ES 3 systems. Tomcat and dependency RPMs
are installed on both systems. RPMs are part of application server
beta release (ES v2.95 for i386).

Tomcat runs ok when started from a command line with 'service tomcat
start', but hangs when run from a cluster service script.

Cluster service script (/usr/local/bin/extapps) is a simple shell
script based on
/usr/share/doc/clumanager-1.2.9/examples/user_script_template. It
starts tomcat with '/sbin/service tomcat start'.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install tomcat 4.1.27-8 and dependency RPMs
2. Add cluster service 'extapps'
3. Configure cluster service 'extapps' to start tomcat

redhat-config-cluster -> Cluster -> Configure -> Services -> extapps
-> User Script -> /usr/local/bin/extapps

3. Run 'clusvcadm -e extapps'

Actual Results:  Member ftp-a.bom.gov.au trying to enable extapps...

clusvcadm hangs and it never returns.

Expected Results:  Member ftp-a.bom.gov.au trying to enable

Additional info:

Please note that tomcat seems to hang, but when traced with 'strace'
it terminates immediately. Please see output below.

[root@ftp-a root]# ps -ef | grep tomcat
root      4232  4169  0 06:32 ?        00:00:00 /bin/sh /sbin/service
tomcat start
root      4235  4232  0 06:32 ?        00:00:00 /bin/bash
/etc/init.d/tomcat start
root      4245  4235  0 06:32 ?        00:00:00 initlog -q -c
/usr/sbin/tomcat -sysconf /etc/sysconfig/tomcat -home
/usr/share/tomcat -logfile /usr/share/tomcat/logs/tomcat.out -pidfile
/var/run/tomcat/tomcat.pid -user tomcat
tomcat    4246  4245  0 06:32 ?        00:00:00 /usr/sbin/tomcat
-sysconf /etc/sysconfig/tomcat -home /usr/share/tomcat -logfile
/usr/share/tomcat/logs/tomcat.out -pidfile /var/run/tomcat/tomcat.pid
-user tomcat
tomcat    4247  4246  0 06:32 ?        00:00:00 /usr/sbin/tomcat
-sysconf /etc/sysconfig/tomcat -home /usr/share/tomcat -logfile
/usr/share/tomcat/logs/tomcat.out -pidfile /var/run/tomcat/tomcat.pid
-user tomcat
root      4349  4300  0 06:33 pts/0    00:00:00 grep tomcat
[root@ftp-a root]#
[root@ftp-a root]# strace -p 4247
Process 4247 attached - interrupt to quit
write(2, "sem_wait in handler failed\n", 27) = 27
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
tgkill(4247, 4247, SIGABRT)             = 0
--- SIGABRT (Aborted) @ 0 (0) ---
Process 4247 detached
[root@ftp-a root]#
Comment 1 Gary Benson 2004-05-07 12:44:43 EDT
Tomcat isn't in RHAPS any more.

Note You need to log in before you can comment on or make changes to this bug.